View Issue Details

IDProjectCategoryView StatusLast Update
0003571ScribusUser Interfacepublic2006-06-17 15:15
Reporteravox Assigned Tofschmid  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformallOSOS Version
Product Version1.3.3cvs 
Target VersionFixed in Version1.3.4cvs 
Summary0003571: File->Open offers all registered file formats, even PDF
DescriptionThere have been already two users on IRC who complained about the error messsage when they tried to open a PDF with Scribus. We shouldn't raise false expectations...

ScribusMW::slotDocOpen() gets filter list from FileLoader::getLoadFilterString(), which queries
LoadSavePlugin::fileDialogLoadFilter().
TagsNo tags attached.
Patch

Relationships

related to 0003662 closed Misleading dialog: "File > Open" 
related to 0002931 acknowledged Metabug: SVG 

Activities

2006-04-06 14:46

 

crash_while_opening_svg.png (118,558 bytes)
crash_while_opening_svg.png (118,558 bytes)

mhanski

2006-04-06 14:49

developer   ~0009665

confirming. Opening svg leads even to a crash on scribus1.3.3/win32 (see the attached screen shot). Opening the same SVG image with File/Import works OK.

cbradney

2006-06-05 11:57

administrator   ~0011577

No crash here anymore. Think I fixed that last night.

mhanski

2006-06-17 15:15

developer   ~0011658

works fine now, closing

Issue History

Date Modified Username Field Change
2006-04-06 01:13 avox New Issue
2006-04-06 14:46 mhanski File Added: crash_while_opening_svg.png
2006-04-06 14:49 mhanski Note Added: 0009665
2006-04-06 14:49 mhanski Status new => confirmed
2006-04-16 21:31 mhanski Relationship added related to 0003662
2006-05-17 18:57 christoph_s Relationship added related to 0002931
2006-06-05 11:57 cbradney Note Added: 0011577
2006-06-17 10:54 fschmid Status confirmed => resolved
2006-06-17 10:54 fschmid Fixed in Version => 1.3.4cvs
2006-06-17 10:54 fschmid Resolution open => fixed
2006-06-17 10:54 fschmid Assigned To => fschmid
2006-06-17 15:15 mhanski Status resolved => closed
2006-06-17 15:15 mhanski Note Added: 0011658